package gr.mybook.mydialogprefs;

import android.os.Bundle;
import android.app.Activity;
import android.app.AlertDialog;
import android.content.Intent;
import android.view.Menu;
import android.view.MenuItem;

public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}
	
    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
        case R.id.preferences:
        	startActivity(new Intent(this, EditPreferences.class));
            return true;
        case R.id.info:
            showInfo();
            return true;
        case R.id.settings:
        	startActivity(new Intent(this, ShowSettings.class));
            return true;
        }
        return(super.onOptionsItemSelected(item));
    }
    
    private void showInfo() {
        new AlertDialog.Builder(this).
            setTitle("Application Information").
            setMessage(" Constructor ==> John Ellinas\n"
                    + " Institution ==> TEI of Piraeus\n"
                    + " Laboratory ==> OPENLAB\n"
                    + " Project Name ==> MyBook\n"
                    + " Application ==> Android\n").
            show();
     }


}
